%define module	dulwich
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so


Summary:	Python implementation of the Git file formats and protocols
Name:		python-%{module}
Version:	0.12.0
%define subrel 2
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
# Fix CVE 2017-1000117
Patch0:     7116a0cbbda571f7dac863f4b1c00b6e16d6d8d6.diff
License:	GPLv2
Group:		Development/Python
Url:		https://www.dulwich.io/
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(sphinx)
BuildRequires:	pythonegg(2)(nose)
BuildRequires:	git-core
BuildRequires:	pythonegg(2)(setuptools)

%description
Dulwich is a pure-Python implementation of the Git file formats and protocols.

%package -n	python3-%{module}
Summary:	Python 3 implementation of the Git file formats and protocols
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(sphinx)
BuildRequires:	pythonegg(3)(nose)

%description -n	python3-%{module}
Dulwich is a pure-Python implementation of the Git file formats and protocols.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
  cd %{buildroot}%{_bindir}
  for B in dul*; do
  mv $B $(echo $B |sed 's/dul/python3-dul/'); done
popd

%py2_install

pushd docs
%__make html
popd

#%%check
#cd dulwich/tests
#nosetests test*.py


%files 
%doc COPYING NEWS README.md docs/
%{_bindir}/dul-*
%{_bindir}/%{module}
%{python2_sitearch}/%{module}*
%exclude %{python2_sitearch}/%{module}/tests*
%exclude %{python2_sitearch}/docs*

%files -n python3-%{module}
%doc COPYING NEWS README.md docs/
%{_bindir}/python3-dul-*
%{_bindir}/python3-%{module}
%{python3_sitearch}/%{module}*
%exclude %{python3_sitearch}/%{module}/tests*
%exclude %{python3_sitearch}/docs*


%changelog
* Mon Oct 29 2018 bcornec <bcornec> 0.12.0-1.2.mga6
+ Revision: 1326548
- Improve patch by adding a missing part
- adds modified upstream patch for 0.12
- Fix mga#23346 by adding SUSE patch

* Fri Feb 05 2016 daviddavid <daviddavid> 0.12.0-1.mga6
+ Revision: 939302
- new version: 0.12.0
- add python3 package

* Fri Oct 16 2015 philippem <philippem> 0.11.2-1.mga6
+ Revision: 892207
- update to 0.11.2

* Tue Mar 24 2015 philippem <philippem> 0.10.0-2.mga5
+ Revision: 819178
- update to 0.10.0 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558

* Mon Mar 23 2015 philippem <philippem> 0.9.9-2.mga5
+ Revision: 819136
- update to 0.9.9 fix  CVE-2014-9706 and CVE-2015-0838 mga#15558

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-4.mga5
+ Revision: 740682
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.7-3.mga5
+ Revision: 728379
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 688011
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 0.9.7-1.mga5
+ Revision: 638933
- update to 0.9.7
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Mar 05 2014 philippem <philippem> 0.9.5-1.mga5
+ Revision: 600134
- Update to 0.9.5

* Tue Oct 22 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 543355
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.0-2.mga4
+ Revision: 498454
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.9.0-1.mga4
+ Revision: 450242
- Update to 0.9.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 378773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 0.8.5-1.mga3
+ Revision: 281123
- Update to 0.8.5.

* Sun Jan 22 2012 lebedov <lebedov> 0.8.3-1.mga2
+ Revision: 199653
- Update to 0.8.3.

* Mon Dec 19 2011 lebedov <lebedov> 0.8.2-1.mga2
+ Revision: 184080
- Update to 0.8.2.

* Wed Nov 30 2011 lebedov <lebedov> 0.8.1-1.mga2
+ Revision: 174435
- Update to 0.8.1.

* Tue Sep 20 2011 lebedov <lebedov> 0.8.0-1.mga2
+ Revision: 146150
- imported package python-dulwich

